{
  "name": "ulhub-backend",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "start:dev": "nest start --watch",
    "start:prod": "node dist/main",
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\"",
    "postinstall": "prisma generate",
    "db:seed": "ts-node prisma/seed.ts",
    "test": "jest",
    "test:ci": "jest --ci --runInBand"
  },
  "prisma": {
    "seed": "ts-node prisma/seed.ts"
  },
  "dependencies": {
    "@nestjs/common": "^10.0.0",
    "@nestjs/core": "^10.0.0",
    "@nestjs/jwt": "^10.2.0",
    "@nestjs/passport": "^10.0.0",
    "@nestjs/platform-express": "^10.0.0",
    "@nestjs/platform-ws": "^10.0.0",
    "@nestjs/swagger": "^7.4.2",
    "@nestjs/throttler": "^5.1.2",
    "@nestjs/websockets": "^10.0.0",
    "@prisma/client": "^6.10.0",
    "bcryptjs": "^2.4.3",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.1",
    "cookie-parser": "^1.4.6",
    "mqtt": "^5.15.2",
    "passport": "^0.7.0",
    "passport-custom": "^1.1.1",
    "passport-jwt": "^4.0.1",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.0.0",
    "ws": "^8.18.0"
  },
  "devDependencies": {
    "@nestjs/cli": "^10.0.0",
    "@nestjs/schematics": "^10.0.0",
    "@nestjs/testing": "^10.0.0",
    "@types/bcryptjs": "^2.4.6",
    "@types/cookie-parser": "^1.4.7",
    "@types/express": "^4.17.17",
    "@types/node": "^20.11.0",
    "@types/jest": "^29.5.12",
    "@types/passport-jwt": "^4.0.1",
    "@types/ws": "^8.5.10",
    "jest": "^29.7.0",
    "prettier": "^3.0.0",
    "ts-jest": "^29.2.5",
    "prisma": "^6.10.0",
    "ts-node": "^10.9.1",
    "typescript": "^5.5.0"
  }
}
